#  Correlation-Aware Deep Tracking 


![pipeline](ltr/pipeline.png)

SBT has four versions： light, small, base, large. 

## Installation
This document contains detailed instructions for installing the necessary dependencied for **SBT**. The instructions 
have been tested on Ubuntu 18.04 system.

#### Install dependencies
* Create and activate a conda environment 
    ```bash
    conda create -n SBT python=3.7
    conda activate SBT
    ```  
* Install PyTorch
    ```bash
    conda install -c pytorch pytorch=1.5 torchvision=0.6.1 cudatoolkit=10.2
    ```  

* Install other packages
    ```bash
    conda install matplotlib pandas tqdm
    pip install opencv-python tb-nightly visdom scikit-image tikzplotlib gdown
    conda install cython scipy
    sudo apt-get install libturbojpeg
    pip install pycocotools jpeg4py
    pip install wget yacs
    pip install shapely==1.6.4.post2
    pip install mmcv timm
    ```  

#### Evaluation

* You need to specify the path of the model in [tracker_SBTv1.py](vot22_test/tracker_SBTv1.py).
* The model can be downloaded from BaiduNetDisk：https://pan.baidu.com/s/1UW0nkUpg4jBLyKvb4JqP3A?pwd=6q0v  and password is 6q0v 
* SBTv1_base_vot.pth.tar
  
* in line 279 
   ```python
    net_path = '/path_to_model' #Absolute path of the model
    ```  
    Then run the following tracker.init.
    ```bash
    [SBTv1]
    label = SBTv1
    protocol = traxpython
    command = import vot22_test.tracker_SBTv1 as run; run.run_vot_exp_box()
    # Specify a path to trax python wrapper if it is not visible (separate by ; if using multiple paths)
    paths = /home/jaffe/Titanspace/SBTv2/SBTv2/
    ```  

## Acknowledgement
This is a modified version of the python framework [PyTracking](https://github.com/visionml/pytracking) based on **Pytorch**, 
also borrowing from [PySOT](https://github.com/STVIR/pysot), [GOT-10k](https://github.com/got-10k/toolkit) and [Vision Transformer](https://github.com/lucidrains/vit-pytorch), such as [Swin Transformer](https://github.com/microsoft/Swin-Transformer), [PVT](https://github.com/whai362/PVT), [Twins](https://github.com/Meituan-AutoML/Twins). 
We would like to thank their authors for providing great code and framework. 
