# Copyright (c) SenseTime. All Rights Reserved.

from __future__ import absolute_import
from __future__ import division
from __future__ import print_function
from __future__ import unicode_literals

from yacs.config import CfgNode as CN

__C = CN()

cfg = __C


# ------------------------------------------------------------------------ #
# Tracker options
# ------------------------------------------------------------------------ #
__C.TRACK = CN()

__C.TRACK.TYPE = 'SiamReppointsTracker'

# Scale penalty
__C.TRACK.PENALTY_K = 0.04

# Window influence
__C.TRACK.WINDOW_INFLUENCE = 0.49

# Online Classification influence
__C.TRACK.ONLINE_CLASSIFICATION_INFLUENCE = 0.2

# Speed influence
__C.TRACK.SPEED_INFLUENCE = 2.0

# Interpolation learning rate
__C.TRACK.LR = 0.4


__C.TRACK.WINDOW_INFLUENCE_SLOW = 0.69

__C.TRACK.WINDOW_INFLUENCE_FAST = 0.49

__C.TRACK.WINDOW_INFLUENCE_MEDIUM = 0.59

__C.TRACK.SEARCH_AREA_SLOW = 3.5

__C.TRACK.SEARCH_AREA_FAST = 3.5

__C.TRACK.SEARCH_AREA_MEDIUM = 3.5 # 3.5

__C.TRACK.ONLINE_CLASSIFICATION_INFLUENCE_SLOW = 1#0.2

__C.TRACK.ONLINE_CLASSIFICATION_INFLUENCE_FAST = 1#0.6

__C.TRACK.ONLINE_CLASSIFICATION_INFLUENCE_MEDIUM =1 #0.4

__C.TRACK.MEM_STEP = 5

__C.TRACK.MEM_LEN = 5  # 4

__C.TRACK.ST_MEM_COEF = 0.5

__C.TRACK.MEM_SINK_IDX = 1

__C.TRACK.SPEED_LAST_CALC = 3

__C.TRACK.SCORE_INSIDE_WIDTH = 7

__C.TRACK.SCORE_OUTSIDE_WIDTH = 14

__C.TRACK.TEMPLATE_UPDATE = False
